jQuery(document).ready(function($) {

/*------------------------------------------------
            DECLARATIONS
------------------------------------------------*/

    var loader              = $('#loader');
    var loader_container    = $('#preloader');
    var scroll              = $(window).scrollTop();  
    var scrollup            = $('.backtotop');
    var menu_toggle         = $('.menu-toggle');
    var dropdown_toggle     = $('.main-navigation button.dropdown-toggle');
    var nav_menu            = $('.main-navigation ul.nav-menu');

/*------------------------------------------------
            PRELOADER
------------------------------------------------*/

    loader_container.delay(1000).fadeOut();
    loader.delay(1000).fadeOut("slow");

/*------------------------------------------------
            BACK TO TOP
------------------------------------------------*/

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            scrollup.css({bottom:"100px"});
        } 
        else {
            scrollup.css({bottom:"-100px"});
        }
    });

    scrollup.click(function() {
        $('html, body').animate({scrollTop: '0px'}, 800);
        return false;
    });

/*------------------------------------------------
            MAIN NAVIGATION
------------------------------------------------*/

    if( $(window).width() < 1023 ) {
        $('#top-bar').click(function(){
            $('#top-bar .wrapper').slideToggle();
            $('#top-bar').toggleClass('top-menu-active');
        });
    }

    menu_toggle.click(function(){
        nav_menu.slideToggle();
       $('.main-navigation').toggleClass('menu-open');
       $('.menu-overlay').toggleClass('active');
    });

    dropdown_toggle.click(function() {
        $(this).toggleClass('active');
       $(this).parent().find('.sub-menu').first().slideToggle();
    });

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            $('.menu-sticky #masthead').addClass('nav-shrink');
        }
        else {
            $('.menu-sticky #masthead').removeClass('nav-shrink');
        }
    });

    $('.main-navigation ul li.search-menu a').click(function(event) {
        event.preventDefault();
        $(this).toggleClass('search-active');
        $('.main-navigation #search').fadeToggle();
        $('.main-navigation .search-field').focus();
    });

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            $('.menu-sticky #masthead').addClass('nav-shrink');
        }
        else {
            $('.menu-sticky #masthead').removeClass('nav-shrink');
        }
    });

    $(document).click(function (e) {
        var container = $("#masthead");
        if (!container.is(e.target) && container.has(e.target).length === 0) {
            $('#site-navigation').removeClass('menu-open');
            $('#primary-menu').slideUp();
            $('.menu-overlay').removeClass('active');
            $('.main-navigation ul li.search-menu a').removeClass('search-active');
            $('.main-navigation #search').fadeOut();
        }
    });

    $(document).keyup(function(e) {
        if (e.keyCode === 27) {
            $('.main-navigation ul li.search-menu a').removeClass('search-active');
            $('.main-navigation #search').fadeOut();
        }
    });

/*------------------------------------------------
            SLICK SLIDER
------------------------------------------------*/

$('#featured-slider').slick({
    customPaging : function(slider, i) {
    var thumb = $(slider.$slides[i]).data();
    return '<a class="dot">0'+(i+1)+'</a>';
    },
    responsive: [{
        breakpoint: 1023,
            settings: {
            slidesToShow: 1,
        }
    }]
});

$('.destination-slider').slick({
    responsive: [{
        breakpoint: 1200,
            settings: {
            slidesToShow: 3
        }
    },
    {
        breakpoint: 1024,
        settings: {
            slidesToShow: 2
        }
    },
    {
        breakpoint: 600,
        settings: {
            slidesToShow: 1
        }
    }]
});

$('.featured-package-slider').slick({
    responsive: [{
        breakpoint: 1200,
            settings: {
            slidesToShow: 3
        }
    },
    {
        breakpoint: 1024,
        settings: {
            slidesToShow: 2
        }
    },
    {
        breakpoint: 600,
        settings: {
            slidesToShow: 1
        }
    }]
});

$('.client-slider').slick({
    responsive: [{
        breakpoint: 1200,
            settings: {
            slidesToShow: 3
        }
    },
    {
        breakpoint: 767,
        settings: {
            slidesToShow: 2
        }
    },
    {
        breakpoint: 480,
        settings: {
            slidesToShow: 1
        }
    }]
});

$('.slider-nav').slick({
    asNavFor: '.slider-for',
    responsive: [{
        breakpoint: 1024,
            settings: {
            slidesToShow: 1,
            centerMode: false,
            fade: true
        }
    }]
});

$('.slider-for').slick({
    asNavFor: '.slider-nav'
});

$('#business-slider').slick();

$('#blog-slider').slick({
    responsive: [{
        breakpoint: 1024,
            settings: {
            slidesToShow: 1,
            centerMode: false
        }
    }]
});

/*------------------------------------------------
                TABS
------------------------------------------------*/
if($('ul.tabs li').attr('data-tab')=='all'){
    $('#our-gallery .section-content').prepend('<div id="all" class="tab-content active grid"></div>');
    $('#our-gallery article.grid-item').clone().slice(0,6).each(function(key, value){
        $('#our-gallery #all').append(value);
    })
}
$('ul.tabs li').click(function(event) {
    event.preventDefault();

    var tab_id = $(this).attr('data-tab');
    $('ul.tabs li').removeClass('active');
    $('.tab-content').removeClass('active');

    $(this).addClass('active');
    $("#"+tab_id).addClass('active');

    $('.grid').packery('layout');

});

/*------------------------------------------------
                PACKERY
------------------------------------------------*/
$('.grid').packery({
    itemSelector: '.grid-item'
});

/*------------------------------------------------
                MAGNIFIC POPUP
------------------------------------------------*/
$('.gallery-popup').magnificPopup( {
    delegate:'.popup', type:'image', tLoading:'Loading image #%curr%...', 
    gallery: {
        enabled: true, navigateByImgClick: true, preload: [0, 1]
    }
    , image: {
        tError:'<a href="%url%">The image #%curr%</a> could not be loaded.', titleSrc:function(item) {
            return item.el.attr('title');
        }
    }
});

$('.video-link').magnificPopup({
    type: 'iframe',
    mainClass: 'mfp-fade',
    preloader: true,
});

/*------------------------------------------------
                Single Trip
------------------------------------------------*/
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(1)').attr('data-scroll', '#overview');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(2)').attr('data-scroll', '#trip_outline');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(3)').attr('data-scroll', '#trip_includes');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(4)').attr('data-scroll', '#trip_excludes');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(5)').attr('data-scroll', '#gallery');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(6)').attr('data-scroll', '#reviews');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(7)').attr('data-scroll', '#booking');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(8)').attr('data-scroll', '#faq');

if( $('body').hasClass('single-itineraries') ) {
    $(".wp-travel-tab-wrapper .tab-list.resp-tabs-list li").click(function(e) {
        var section_id = $(this).attr("data-scroll");

        if( $('body').hasClass('menu-sticky') ) {
            $('html,body').animate({
                scrollTop: $( section_id ).offset().top-190}, 
            '2000');
        }
        else {
            $('html,body').animate({
                scrollTop: $( section_id ).offset().top - 100}, 
            '2000');
        }

        $('.wp-travel-tab-wrapper .tab-list.resp-tabs-list').addClass('active');
    });

    var sectionPosition = $("#overview").offset().top-280;
    $(window).scroll(function() {
        var scroll = $(window).scrollTop();
        if (scroll >= sectionPosition ) {
            $('.wp-travel-tab-wrapper .tab-list.resp-tabs-list').addClass('active');
        }
        else {
            $('.wp-travel-tab-wrapper .tab-list.resp-tabs-list').removeClass('active');
        }
    });
}

/*--------------------------------------------------------------
 Keyboard Navigation
----------------------------------------------------------------*/
if( $(window).width() < 1024 ) {
    $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
        if( e.which === 9 ) {
            e.preventDefault();
            $('#masthead').find('.menu-toggle').focus();
        }
    });
}
else {
    $('#primary-menu li').last().unbind('keydown');
}

$(window).resize(function() {
    if( $(window).width() < 1024 ) {
        $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
            if( e.which === 9 ) {
                e.preventDefault();
                $('#masthead').find('.menu-toggle').focus();
            }
        });
    }
    else {
        $('#primary-menu li').last().unbind('keydown');
    }
});

/*------------------------------------------------
                END JQUERY
------------------------------------------------*/

});