<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Mega Tour Pro
 * @since Mega Tour Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'mega_tour_pro_menu', array(
	'title'             => esc_html__('Header Menu','mega-tour-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'mega-tour-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'mega_tour_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'mega_tour_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Mega_Tour_Pro_Switch_Control( $wp_customize, 'mega_tour_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'mega-tour-pro' ),
	'section'           => 'mega_tour_pro_menu',
	'on_off_label' 		=> mega_tour_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'mega_tour_pro_theme_options[search_icon_in_primary_menu_enable]', array(
	'default'			=> 	$options['search_icon_in_primary_menu_enable'],
	'sanitize_callback' => 'mega_tour_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mega_Tour_Pro_Switch_Control( $wp_customize, 'mega_tour_pro_theme_options[search_icon_in_primary_menu_enable]', array(
	'label'             => esc_html__( 'Enable Search Icon', 'mega-tour-pro' ),
	'description'       => esc_html__( 'Add Search Icon in Last of primary menu', 'mega-tour-pro' ),
	'section'           => 'mega_tour_pro_menu',
	'on_off_label' 		=> mega_tour_pro_switch_options(),

) ) );
