<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Mega Tour Pro
 * @since Mega Tour Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'mega_tour_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','mega-tour-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'mega-tour-pro' ),
	'panel'               => 'mega_tour_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'mega_tour_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'mega_tour_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Mega_Tour_Pro_Customize_Sortable_Control ( $wp_customize, 'mega_tour_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'mega-tour-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'mega-tour-pro' ),
	'section'             => 'mega_tour_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => mega_tour_pro_sortable_sections(),
) ) );