<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Mega Tour Pro
* @since Mega Tour Pro 1.0.0
*/

if ( ! function_exists( 'mega_tour_pro_validate_long_excerpt' ) ) :
  function mega_tour_pro_validate_long_excerpt( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	 } elseif ( $value < 5 ) {
		 $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'mega-tour-pro' ) );
	 } elseif ( $value > 100 ) {
		 $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'mega-tour-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_tour_pro_validate_package_count' ) ) :
	function mega_tour_pro_validate_package_count( $validity, $value ){
		   $value = intval( $value );
	   if ( empty( $value ) || ! is_numeric( $value ) ) {
		   $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	   } elseif ( $value < 5 ) {
		   $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 2', 'mega-tour-pro' ) );
	   } elseif ( $value > 100 ) {
		   $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 4', 'mega-tour-pro' ) );
	   }
	   return $validity;
	}
  endif;
if ( ! function_exists( 'mega_tour_pro_validate_slider_count' ) ) :
  function mega_tour_pro_validate_slider_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-tour-pro' ) );
	 } elseif ( $value > 5 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'mega-tour-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_tour_pro_validate_featured_count' ) ) :
  function mega_tour_pro_validate_featured_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	 } elseif ( $value < 4 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'mega-tour-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-tour-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_tour_pro_validate_popular_destination_count' ) ) :
  function mega_tour_pro_validate_popular_destination_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'mega-tour-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-tour-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'mega_tour_pro_validate_service_count' ) ) :
  function mega_tour_pro_validate_service_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'mega-tour-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-tour-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_tour_pro_validate_blog_featured_count' ) ) :
  function mega_tour_pro_validate_blog_featured_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-tour-pro' ) );
	 } elseif ( $value > 6 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'mega-tour-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_tour_pro_validate_team_count' ) ) :
  function mega_tour_pro_validate_team_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'mega-tour-pro' ) );
	 } elseif ( $value > 4 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-tour-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_tour_pro_validate_blog_count' ) ) :
  function mega_tour_pro_validate_blog_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'mega-tour-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-tour-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'mega_tour_pro_validate_testimonial_count' ) ) :
  function mega_tour_pro_validate_testimonial_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-tour-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-tour-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'mega-tour-pro' ) );
	 }
	 return $validity;
  }
endif;
